OpenShot Audio Library | OpenShotAudio: juce::DynamicLibrary Class Reference

OpenShot Audio Library | OpenShotAudio 1.0.0

Loading...
Searching...
No Matches
juce::DynamicLibrary Class Reference

`#include <juce_DynamicLibrary.h>`

## Public Member Functions
| DynamicLibrary ()=default
| DynamicLibrary (const String &name)
| DynamicLibrary (DynamicLibrary &&other) noexcept
| ~DynamicLibrary ()
bool | open (const String &name)
void | close ()
void * | getFunction (const String &functionName) noexcept
void * | getNativeHandle () const noexcept

## Detailed Description

Handles the opening and closing of DLLs.

This class can be used to open a DLL and get some function pointers from it. Since the DLL is freed when this object is deleted, it's handy for managing library lifetimes using RAII.

Definition at line 35 of file juce_DynamicLibrary.h.

## Constructor & Destructor Documentation

## ◆ DynamicLibrary() [1/3]

juce::DynamicLibrary::DynamicLibrary | ( |  | ) |
| default

Creates an unopened DynamicLibrary object. Call open() to actually open one.

Referenced by DynamicLibrary(), and DynamicLibrary().

## ◆ DynamicLibrary() [2/3]

juce::DynamicLibrary::DynamicLibrary | ( | const String & | name | ) |
| inline

Definition at line 45 of file juce_DynamicLibrary.h.

## ◆ DynamicLibrary() [3/3]

juce::DynamicLibrary::DynamicLibrary | ( | DynamicLibrary && | other | ) |
| inlinenoexcept

Move constructor

Definition at line 48 of file juce_DynamicLibrary.h.

## ◆ ~DynamicLibrary()

juce::DynamicLibrary::~DynamicLibrary | ( |  | ) |
| inline

Destructor. If a library is currently open, it will be closed when this object is destroyed.

Definition at line 56 of file juce_DynamicLibrary.h.

## Member Function Documentation

## ◆ close()

void juce::DynamicLibrary::close | ( |  | ) |

Releases the currently-open DLL, or has no effect if none was open.

Referenced by ~DynamicLibrary().

## ◆ getFunction()

void * juce::DynamicLibrary::getFunction | ( | const String & | functionName | ) |
| noexcept

Tries to find a named function in the currently-open DLL, and returns a pointer to it. If no library is open, or if the function isn't found, this will return a null pointer.

## ◆ getNativeHandle()

void * juce::DynamicLibrary::getNativeHandle | ( |  | ) | const
| inlinenoexcept

Returns the platform-specific native library handle. You'll need to cast this to whatever is appropriate for the OS that's in use.

Definition at line 78 of file juce_DynamicLibrary.h.

## ◆ open()

bool juce::DynamicLibrary::open | ( | const String & | name | ) |

Opens a DLL. The name and the method by which it gets found is of course platform-specific, and may or may not include a path, depending on the OS. If a library is already open when this method is called, it will first close the library before attempting to load the new one.

Returns
  true if the library was successfully found and opened.

Referenced by DynamicLibrary().

The documentation for this class was generated from the following file:

- juce_DynamicLibrary.h